{accession}: Get entry by accession

API: ac.uk:ebi-search-api
Endpoint: /{domain}/entry/{accession}
Response format: application/json +1 format
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 228ms

Description

Retrieve a specific entry from a domain by its accession ID.

Parameters (3)

accession (string, path, required)

The accession ID of the entry

domain (string, path, required)

The domain containing the entry

format (string, query, optional, default: json)

Response format

Constraints: {'enum': ['json', 'xml']}

Examples (2)

Get entry by accession openapi-spec
curl 'https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot/entry/P01308'
import requests

resp = requests.get("https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot/entry/P01308")
data = resp.json()
import zingu_apis

api = zingu_apis.api("ebi-search")
result = api.fetch("{domain}/entry/{accession}")

for item in result:
    print(item)
const resp = await fetch("https://www.ebi.ac.uk/ebisearch/ws/rest/uniprot/entry/P01308");
const data = await resp.json();
Get entries by accession with specific fields doc_extracted
curl 'https://www.ebi.ac.uk/ebisearch/metagenomics_runs/entry/ERR1135279,SRR2135754?fields=id%2Cexperiment_type'
import requests

resp = requests.get(
    "https://www.ebi.ac.uk/ebisearch/metagenomics_runs/entry/ERR1135279,SRR2135754",
    params={
        'fields': 'id,experiment_type',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("ebi-search")
result = api.fetch("{domain}/entry/{accession}", fields="id,experiment_type")

for item in result:
    print(item)
const resp = await fetch("https://www.ebi.ac.uk/ebisearch/metagenomics_runs/entry/ERR1135279,SRR2135754?fields=id%2Cexperiment_type");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:52:22.647718 200 228ms
2026-04-16 04:09:12.144850 200 277ms
2026-04-16 00:16:03.047197 200 219ms
2026-04-15 04:10:26.343930 200 249ms
2026-04-15 03:27:17.560010 200 238ms
2026-04-14 02:52:57.136082 200 283ms
2026-04-14 02:46:37.781371 200 226ms
2026-04-12 14:42:05.255263 200 198ms
2026-04-12 13:05:42.440423 200 235ms
2026-04-10 04:26:35.304375 200 157ms
2026-04-10 02:39:00.392686 200 298ms
2026-04-09 00:30:52.922441 200 258ms
2026-04-09 00:19:15.408850 200 251ms
2026-04-08 07:37:03.106015 200 254ms
2026-04-08 07:20:03.370764 200 199ms
2026-04-07 01:13:52.698378 200 216ms
2026-04-07 00:47:50.433587 200 543ms
2026-04-05 22:08:58.950087 200 373ms
2026-04-05 16:45:33.577821 ERR
2026-04-05 01:21:59.632225 200 236ms
2026-04-05 01:11:01.752678 200 277ms
2026-04-04 03:00:46.919655 200 342ms
2026-04-04 02:45:14.073861 200 263ms
2026-04-03 12:39:34.683736 200 240ms
2026-04-03 12:38:32.407445 200 217ms
2026-03-30 02:37:45.191005 200 208ms
2026-03-30 02:31:26.802136 200 218ms
2026-03-29 13:12:12.946166 200 192ms
2026-03-29 13:06:47.880928 200 199ms
2026-03-23 09:34:32.650926 200 146ms
2026-03-23 09:06:20.678359 200 156ms